/******************************************************************************
 * CLASSIFICATION: UNLASSIFIED//FOUO>
 *
 * Copyright(C) ProLogic, Incorporated 2008, 1000 Technology Drive, Fairmont, WV 26554
 * Produced pursuant to U.S. Government sponsorship.
 * 
 * Copyright applies to commercial uses only.   Notwithstanding the above
 * copyright/restriction, the Government possesses DFARS 252.227-7013. 
 * Unlimited Rights if this is technical data and DFARS 252.227-7014. 
 * Unlimited Rights if this is computer software or computer software 
 * documentation.
 * 
 * $Id: $
 *****************************************************************************/
/**
 * @file DuAppendParseTest.h
 * Main header file for the PROJECT_NAME application.
 * 
 * @todo Fix file description.
 */

///////////////////////////////////////////////////////////////////////////////
// pragmas
///////////////////////////////////////////////////////////////////////////////
#pragma once


///////////////////////////////////////////////////////////////////////////////
// includes
///////////////////////////////////////////////////////////////////////////////
#include "cppunit/extensions/HelperMacros.h"


struct CFieldTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( CFieldTest );

	CPPUNIT_TEST( CopyWithPointerTest );
	CPPUNIT_TEST( CopyWithIteratorTest );
	CPPUNIT_TEST( InsertToVectorTest );
	CPPUNIT_TEST( InsertToListTest );
	CPPUNIT_TEST( CopyBytesWithPointerTest );
	CPPUNIT_TEST( CopyBytesWithIteratorTest );
	CPPUNIT_TEST( InsertBytesToVectorTest );
	CPPUNIT_TEST( ExtractBasicTypeTest );

	CPPUNIT_TEST_SUITE_END();

private:
	void CopyWithPointerTest();
	void CopyWithIteratorTest();
	void InsertToVectorTest();
	void InsertToListTest();
	void CopyBytesWithPointerTest();
	void CopyBytesWithIteratorTest();
	void InsertBytesToVectorTest();
	void ExtractBasicTypeTest();
};

